Subject: bug#56345: 29.0.50; [PATCH] Add column hiding to tabulated-list

From: Eli Zaretskii <[email-masked]>
Date: Sat, 02 Jul 2022 09:06:47 +0300

> From: Thuna <[email-masked]>
> Date: Sat, 02 Jul 2022 01:43:26 +0300
> 
> >From b49d5876afa3d969ce82df0d723a8a8b766009a0 Mon Sep 17 00:00:00 2001
> From: Thuna <[email-masked]>
> Date: Fri, 1 Jul 2022 18:19:52 +0300
> Subject: [PATCH 1/2] Add column hiding to tabulated-list-mode
> 
> Add the keyword `:hidden' to `tabulated-list-format' for controlling
> the visibility of a specific column.
> 
> Introduce the commands `tabulated-list-hide-current-column' and
> `tabulated-list-make-column-visible' for interactively changing the
> `:hidden' property of the column.  The commands are bound to "." and
> "+" respectively.
> 
> Change calculations involving other columns to account for the
> `:hidden' property.
> 
> Make the current column calculation into its own function named
> `tabulated-list-get-column'.  Make `tabulated-list-widen-current-column'
> use that instead. Use the text property `tabulated-list-column-name'
> to find the current tabulated-list column instead of `current-column'.

Thanks.  If we decide to install this, we'd need a NEWS entry for the
new feature.

I have no comments on the code, but please wait for Lars and others to
chime in.